<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from randnum_combineabssum.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="randnum_combineabssum" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>randnum_combineabssum</refname><refpurpose>Returns the combinations which absolute value sums to s.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   values = randnum_combineabssum(s,a1,a2)
   values = randnum_combineabssum(s,a1,a2,a3)
   values = randnum_combineabssum(s,a1,a2,a3,a4,...)
   [values,indices] = randnum_combineabssum(s,a1,...)
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>s :</term>
      <listitem><para> a 1-by-1 matrix of doubles, integer value, the sum</para></listitem></varlistentry>
   <varlistentry><term>a1 :</term>
      <listitem><para> a n1-by-1 matrix of doubles, integer value</para></listitem></varlistentry>
   <varlistentry><term>a2 :</term>
      <listitem><para> a n2-by-1 matrix of doubles, integer value</para></listitem></varlistentry>
   <varlistentry><term>a3 :</term>
      <listitem><para> a n3-by-1 matrix of doubles, integer value</para></listitem></varlistentry>
   <varlistentry><term>a4 :</term>
      <listitem><para> a n4-by-1 matrix of doubles, integer value</para></listitem></varlistentry>
   <varlistentry><term>values :</term>
      <listitem><para> a m-by-n matrix of doubles, where n is the number of arguments to combine and m is the number of matching combinations. On output, we have sum(abs(values),"c")==s.</para></listitem></varlistentry>
   <varlistentry><term>indices :</term>
      <listitem><para> a m-by-n matrix of doubles, where n is the number of arguments to combine  and m is the number of matching combinations. The indices corresponding to the arguments.</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Returns all uplets (i1,i2,i3,...) such that
<screen>
|a1(i1)|+|a2(i2)|+|a3(i3)|+...=s.
</screen>
   </para>
   <para>
The k-th uplet is :
<screen>
i1 = indices(k,1)
i2 = indices(k,2)
i3 = indices(k,3)
...
</screen>
and the corresponding values are
<screen>
a1(i1) = values(k,1)
a1(i2) = values(k,2)
a1(i3) = values(k,3)
...
</screen>
for k= 1, 2, ..., m.
   </para>
   <para>
Up to 1000 arguments can be combined.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
// Find all couples (a(i),b(j)) such that |a(i)|+|b(j)| = 2
a = -3:3
b = -2:2
[values,indices] = randnum_combineabssum(2,a,b)
S = sum(abs(values),"c")

// Find all couples (a(i),b(j)) such that |a(i)|+|b(j)| = 3
a = -3:3
b = -2:2
[values,indices] = randnum_combineabssum(3,a,b)
S = sum(abs(values),"c")

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2012 - Michael Baudin</member>
   </simplelist>
</refsection>
</refentry>
